documented the 'vhashify' configuration
[util-vserver.git] / util-vserver / sysv / vprocunhide
index b6f9bb1..0d38193 100755 (executable)
@@ -7,7 +7,7 @@
 
 : ${UTIL_VSERVER_VARS:=/usr/lib/util-vserver/util-vserver-vars}
 test -e "$UTIL_VSERVER_VARS" || {
-    echo $"Can not find util-vserver installation; aborting...">&2
+    echo $"Can not find util-vserver installation (the file '$UTIL_VSERVER_VARS' would be expected); aborting..." >&2
     exit 1
 }
 . "$UTIL_VSERVER_VARS"
@@ -20,7 +20,7 @@ else
     success() { echo .; }
     passed()  { echo .; }
     failure() { echo ERROR; }
-    lockfile=/dev/null
+    lockfile=/var/run/vprocunhide
 fi
 
 
@@ -28,15 +28,15 @@ function start()
 {
     echo -n $"Fixing /proc entries visibility..."
     $_VPROCUNHIDE
-    rc=$?
-    case "$rc" in
+    retval=$?
+    case "$retval" in
        0)      success;;
-       2)      passed; rc=0;;
+       2)      passed; retval=0;;
        *)      failure;
     esac
     echo
-    test "$rc" -ne 0 || touch "$lockfile"
-    return $rc
+    test "$retval" -ne 0 || touch "$lockfile"
+    return $retval
 }
 
 function stop()